Customer 360Force run monitoring check POST
Manually trigger a monitoring check immediately and synchronously, regardless of the scheduled next run time. The check will be performed and results returned in the response.
Authorization
ApiKeyAuth X-API-Key<token>
In: header
Path Parameters
monitoring_id*string
Format
uuidResponse Body
application/json
curl -X POST "https://example.com/api/v1/customer-360/monitoring/497f6eca-6276-4993-bfeb-53cbbbba6f08/force-run/"{ "data": { "message": "string", "data": { "monitoring_id": "7b57641b-1e7a-49db-aff1-4d9df49b832f", "customer_reference": "string", "check_status": "string", "has_alerts": true, "completed_at": "2019-08-24T14:15:22Z", "history_id": "1be63372-6bd6-46ac-afe7-68fa8b1909b8" } }, "status": true, "message": "Request successful.", "errors": {}, "meta": { "timestamp": "2019-08-24T14:15:22Z", "version": "v1", "request_id": "string" }, "pagination": { "page": 0, "page_size": 0, "total_pages": 0, "total_items": 0 }}Response Codes & Statuses: Prembly API responses include custom
response_code values (e.g., 00 Success, 01 Not Found, 02 Unavailable).Prembly Slack Community
Join our developer Slack channel for real-time integration support, engineering updates, and direct Q&A with the Prembly team.
Join Slack Channel